Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.io
Class ConnectionNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--javax.microedition.io.ConnectionNotFoundException

All Implemented Interfaces:
  Serializable

public class ConnectionNotFoundException
extends IOException

This class is used to signal that a connection target cannot be found

See Also:
  Serialized Form

Constructor Summary
`ConnectionNotFoundException()` Constructs a ConnectionNotFoundException with no detail message.
`ConnectionNotFoundException(String s)` Constructs a ConnectionNotFoundException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionNotFoundException

    public ConnectionNotFoundException()

  Constructs a ConnectionNotFoundException with no detail message. A detail message is a String that describes this particular exception.

### ConnectionNotFoundException

    public ConnectionNotFoundException(String s)

  Constructs a ConnectionNotFoundException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `s` - the detail message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >